#include<cv.h>
#include<highgui.h>
#include<cxcore.h>

#include "./include/CVdefine.h"
#include "./include/CVGV.h"

#define WHITE_SMIN 0
#define WHITE_SMAX 50

#define WHITE_VMIN 0
#define WHITE_VMAX 255


void col_threshold(){

	IplImage *inputImage=cvCloneImage(g_capImage);
	IplImage *hsvImage,*threImage;
	CvScalar hsv;
	int x,y,h,s,v;

	hsvImage=cvCreateImage(cvGetSize(inputImage),IPL_DEPTH_8U,3);
	threImage=cvCreateImage(cvGetSize(inputImage),IPL_DEPTH_8U,1);
	g_threImage=cvCreateImage(cvGetSize(inputImage),IPL_DEPTH_8U,1);

	cvCvtColor(inputImage,hsvImage,CV_BGR2HSV);

	for(x=0;x<inputImage->width;x++){
		for(y=0;y<inputImage->height;y++){
			
				cvSetReal2D(threImage,y,x,0);
			
				hsv=cvGet2D(inputImage,y,x);
				h=hsv.val[0];
				s=hsv.val[1];
				v=hsv.val[2];
				
				if(s>WHITE_SMIN && s<WHITE_SMAX){
					if(v>WHITE_VMIN && v<WHITE_VMAX){
								cvSetReal2D(threImage,y,x,255);
				}
			}
		}
	}
	
	g_threImage=cvCloneImage(threImage);

	cvReleaseImage(&threImage);
	cvReleaseImage(&hsvImage);
	cvReleaseImage(&inputImage);

}
